incubator-ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sumit Mohanty (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-1754) Add support to ensure that Ambari Server/Agent/Store are all of compatible version
Date Sun, 31 Mar 2013 05:35:15 GMT
Sumit Mohanty created AMBARI-1754:
-------------------------------------

             Summary: Add support to ensure that Ambari Server/Agent/Store are all of compatible
version
                 Key: AMBARI-1754
                 URL: https://issues.apache.org/jira/browse/AMBARI-1754
             Project: Ambari
          Issue Type: Bug
    Affects Versions: 1.3.0
            Reporter: Sumit Mohanty
            Assignee: Sumit Mohanty
             Fix For: 1.3.0


Currently, there is no hand-shake between the server, agents, and the db to ensure that they
are of compatible version. This is a risk as its expected to fail-fast if there are mismatches
than discover it as a side effect of error due to incompatibility. Need to add the ability
to have server reject registrations from agents that are incompatible as well as failfast
if the database is not compatible.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message